Search an index
curl --request GET \
--url https://api.quiva.ai/storage/search/{index} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/search/{index}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/search/{index}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"id": "usr_abc123",
"stream": "user-events",
"subject": "users.profiles",
"fields": {
"name": "John Doe",
"email": "john.doe@example.com",
"age": 32,
"department": "Engineering"
},
"score": 0.98,
"partition": 0,
"sequence": 1542,
"timestamp": 1710512400
},
{
"id": "usr_def456",
"stream": "user-events",
"subject": "users.profiles",
"fields": {
"name": "Johnny Smith",
"email": "johnny.smith@example.com",
"age": 28,
"department": "Marketing"
},
"score": 0.85,
"partition": 1,
"sequence": 2103,
"timestamp": 1710598800
}
],
"results_total": 2
},
"metadata": {
"field": "name",
"search": "John",
"index_name": "users-index",
"index_duration": "5ms",
"index_hits": 2,
"index_partitions": 4
}
}Search
Search an index
Performs a search on an index
GET
/
storage
/
search
/
{index}
Search an index
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the index to search
Query Parameters
Field to search in
Search term
Type of search to perform
Available options:
exact, fuzzy, prefix, range Minimum value for range searches
Maximum value for range searches
Maximum number of results to return
Required range:
1 <= x <= 1000Field to sort results by
⌘I